##### basic_stream_file::basic_stream_file (9 of 10 overloads)

Move-construct a `basic_stream_file` from another.

    basic_stream_file(
        basic_stream_file && other);

This constructor moves a stream file from one object to another.

###### Parameters

other

  The other `basic_stream_file` object from which the move will occur.

###### Remarks

Following the move, the moved-from object is in the same state as if constructed using the `basic_stream_file(const executor_type&)` constructor.